CVE-2021-32563

NameCVE-2021-32563
DescriptionAn issue was discovered in Thunar before 4.16.7 and 4.17.x before 4.17.2. When called with a regular file as a command-line argument, it delegates to a different program (based on the file type) without user confirmation. This could be used to achieve code execution.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs988394

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
thunar (PTS)stretch1.6.11-1vulnerable
buster1.8.4-1vulnerable
bullseye, sid4.16.8-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
thunarsource(unstable)4.16.8-1988394

Notes

[buster] - thunar <no-dsa> (Minor issue)
[stretch] - thunar <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2021/05/09/2
Fixed by: https://gitlab.xfce.org/xfce/thunar/-/commit/9165a61f95e43cc0b5abf9b98eee2818a0191e0b
Regression fix: https://gitlab.xfce.org/xfce/thunar/-/commit/3b54d9d7dbd7fd16235e2141c43a7f18718f5664
Regression: https://gitlab.xfce.org/xfce/thunar/-/issues/575

Search for package or bug name: Reporting problems